Subject: bug#23095: 24.5; python-shell-unbuffered causes problems on Windows

From: Noam Postavsky <[email-masked]>
Date: Sun, 03 Dec 2017 00:43:38 -0500

close 23095 26.1
unarchive 21376
merge 23095 21376
quit

Will Wykeham <[email-masked]> writes:

>>> I haven't got to the bottom of why unbuffered is causing this
>>> problem. My suspicion is that it relates to the fact that
>>> PYTHONUNBUFFERED on Windows also causes python to process stdin/stdout
>>> as binary (which also affects line ending processing).
>>
>> On Windows, Emacs communicates with subprocesses via pipes, which are
>> buffered.
>
> Ah. In which case, it sounds like the appropriate thing would be to
> set the default value of 'python-shell-unbuffered' to nil on Windows.

So it turns out this is actually some weird bug in w32 Python 2.x, we
work around it in Emacs 26 now.

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=21376#11